at.chipkarte.client.elgaad.soap

## Class Verordnung

- Object
- - at.chipkarte.client.elgaad.soap.Verordnung

-     public class Verordnung
      extends Object

  Verordnungsdaten.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Verordnung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Abgabe[]` | `getAbgaben()` Abgaben zu dieser Verordnung.
    `String` | `getAenderungszeitpunkt()` Zeitpunkt der Änderung.
    `Arznei` | `getArznei()` Arznei die verordnet wird.
    `Dosierung` | `getDosierung()` Dosierung.
    `Integer` | `getEinloesungen()` Die aktuelle Anzahl der Einlösungen dieser Verordnung.
    `Einnahmedauer` | `getEinnahmedauer()` Dauer der Einnahme.
    `String` | `getEinnahmeende()` Endzeitpunkt der Einnahme.
    `String` | `getEinnahmestart()` Startzeitpunkt der Einnahme.
    `Integer` | `getMaxEinloesungen()` Maximale Anzahl der zusätzlichen Einlösungen.
    `Metadaten` | `getMetadaten()` Metadaten des Dokuments.
    `Integer` | `getPackungen()` Packungsanzahl.
    `String` | `getStatus()` Status der Verordnung.
    `Code` | `getTherapieart()` Therapieart.
    `String` | `getValidierungsId()` ValidierungsId zur besseren Verknüpfbarkeit von Fehlermeldungen mit dem jeweiligen Eingangsparameter.
    `String` | `getVerordnungsId()` Id der Verordnung.
    `Zusatzinformation` | `getZusatzinformationen()` Zusatzinformation zur Verordnung.
    `void` | `setAbgaben(Abgabe[] abgaben)`
    `void` | `setAenderungszeitpunkt(String aenderungszeitpunkt)`
    `void` | `setArznei(Arznei arznei)`
    `void` | `setDosierung(Dosierung dosierung)`
    `void` | `setEinloesungen(Integer einloesungen)`
    `void` | `setEinnahmedauer(Einnahmedauer einnahmedauer)`
    `void` | `setEinnahmeende(String einnahmeende)`
    `void` | `setEinnahmestart(String einnahmestart)`
    `void` | `setMaxEinloesungen(Integer maxEinloesungen)`
    `void` | `setMetadaten(Metadaten metadaten)`
    `void` | `setPackungen(Integer packungen)`
    `void` | `setStatus(String status)`
    `void` | `setTherapieart(Code therapieart)`
    `void` | `setValidierungsId(String validierungsId)`
    `void` | `setVerordnungsId(String verordnungsId)`
    `void` | `setZusatzinformationen(Zusatzinformation zusatzinformationen)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Verordnung

          public Verordnung()

  - ### Method Detail

    - #### getVerordnungsId

          public String getVerordnungsId()

      Id der Verordnung.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Ausgabebedingung: Muss.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        Verordnungs-Id.

    - #### getValidierungsId

          public String getValidierungsId()

      ValidierungsId zur besseren Verknüpfbarkeit von Fehlermeldungen mit dem jeweiligen Eingangsparameter.
      Tritt bei der Validierung eines Eingangsparameters ein Fehler auf, so wird in der retournierten Meldung (innerhalb von `BackendMeldung`, `ElgaadExceptionContent` oder `ElgaadInvalidParameterExceptionContent`) auch die Validierungs-ID des direkt oder indirekt enthaltenden Objekts angeführt (sofern vorhanden). Die Versorgung selbst, auch auch die Sicherstellung, dass die Ids eindeutig sind, liegt in der Verantwortung der VPSWH.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann. Nie befüllt bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind.
      Format: alphanumerisch.
      Returns:
        ValidierungsId.

    - #### getStatus

          public String getStatus()

      Status der Verordnung.
      Eingabebedingung:
      Erfassung: Darf nicht angegeben werden.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind.
      mögliche Werte: siehe siehe `VerordnungStatusTypConstants`.
      Returns:
        Status.

    - #### getEinloesungen

          public Integer getEinloesungen()

      Die aktuelle Anzahl der Einlösungen dieser Verordnung. Errechnet sich aus den Abgaben.
      Eingabebedingung:
      Erfassung: Darf nicht angegeben werden.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind.
      Format: Integer
      Returns:
        Aktuelle Einlösungen.

    - #### getMaxEinloesungen

          public Integer getMaxEinloesungen()

      Maximale Anzahl der zusätzlichen Einlösungen. Die Anzahl muss bei allen Verordnungen eines Rezeptes ident sein.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind.
      Format: Integer
      Returns:
        Maximale Einlösungen.

    - #### getAbgaben

          public Abgabe[] getAbgaben()

      Abgaben zu dieser Verordnung. Siehe `Abgabe`.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Befüllt wenn es sich um Abgaben mit Verordnungsbezug handelt.
      Returns:
        Liste von Abgaben.

    - #### getArznei

          public Arznei getArznei()

      Arznei die verordnet wird. Siehe `Arznei`.
      Eingabebedingung:
      Erfassung: Muss.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind.
      Returns:
        Arznei.

    - #### getEinnahmestart

          public String getEinnahmestart()

      Startzeitpunkt der Einnahme.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann. Nie befüllt bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Einnahmestart.

    - #### getEinnahmeende

          public String getEinnahmeende()

      Endzeitpunkt der Einnahme.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann. Nie befüllt bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Einnahmeende.

    - #### getEinnahmedauer

          public Einnahmedauer getEinnahmedauer()

      Dauer der Einnahme.
      Eingabebedingung:
      Erfassung: Bedingt. Darf nur angegeben werden, wenn weder Einnahmestart noch Einnahmeende angegeben wurden.
      Ausgabebedingung: Bedingt. Nie versorgt bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind. Anderenfalls nur versorgt, wenn weder Einnahmestart noch Einnahmeende angegeben wurden.
      Returns:
        Einnahmeende.

    - #### getDosierung

          public Dosierung getDosierung()

      Dosierung. Siehe `Dosierung`.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann. Nie befüllt bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind.
      Returns:
        Dosierung.

    - #### getTherapieart

          public Code getTherapieart()

      Therapieart. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann. Nie befüllt bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MedikationTherapieArt_VS (z.B. Code EINZEL)
      Returns:
        Therapieart.

    - #### getPackungen

          public Integer getPackungen()

      Packungsanzahl.
      Eingabebedingung:
      Erfassung: Kann. Wird kein Wert angegeben, wird der Defaultwert "1" automatisch verwendet.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind.
      Format: Integer
      Returns:
        Packungsanzahl.

    - #### getZusatzinformationen

          public Zusatzinformation getZusatzinformationen()

      Zusatzinformation zur Verordnung. Siehe `Zusatzinformation`.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann. Nie befüllt bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind.
      Returns:
        Zusatzinformationen.

    - #### getAenderungszeitpunkt

          public String getAenderungszeitpunkt()

      Zeitpunkt der Änderung.
      Eingabebedingung:
      Erfassung: Darf nicht angegeben werden.
      Ausgabebedingung: Kann. Nie befüllt bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()` wenn innerhalb der Verordnung Abgaben enthalten sind.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Änderungszeitpunkt.

    - #### getMetadaten

          public Metadaten getMetadaten()

      Metadaten des Dokuments. Siehe `Metadaten`.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Ausgabebedingung: Bedingt. Wird nur befüllt bei der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`.
      Returns:
        Metadaten.

    - #### setVerordnungsId

          public void setVerordnungsId(String verordnungsId)

    - #### setValidierungsId

          public void setValidierungsId(String validierungsId)

    - #### setStatus

          public void setStatus(String status)

    - #### setEinloesungen

          public void setEinloesungen(Integer einloesungen)

    - #### setMaxEinloesungen

          public void setMaxEinloesungen(Integer maxEinloesungen)

    - #### setAbgaben

          public void setAbgaben(Abgabe[] abgaben)

    - #### setArznei

          public void setArznei(Arznei arznei)

    - #### setEinnahmestart

          public void setEinnahmestart(String einnahmestart)

    - #### setEinnahmeende

          public void setEinnahmeende(String einnahmeende)

    - #### setEinnahmedauer

          public void setEinnahmedauer(Einnahmedauer einnahmedauer)

    - #### setDosierung

          public void setDosierung(Dosierung dosierung)

    - #### setTherapieart

          public void setTherapieart(Code therapieart)

    - #### setPackungen

          public void setPackungen(Integer packungen)

    - #### setZusatzinformationen

          public void setZusatzinformationen(Zusatzinformation zusatzinformationen)

    - #### setAenderungszeitpunkt

          public void setAenderungszeitpunkt(String aenderungszeitpunkt)

    - #### setMetadaten

          public void setMetadaten(Metadaten metadaten)